%DEMO_PI Demonstration script for the PI estimation toolbox
% Run the entire script,or sequentially cell-by-cell

% Copyright:    2010 Delft Center for Systems & Control (TUDelft), and Lucian Busoniu
% Author:       Lucian Busoniu
% Version:      1.0
% 
% Please do not redistribute this code without permission from the authors. If you wish to
% redistribute, contact one of: Robert Babuska, Lucian Busoniu, Ivo Grondman, Gabriel Lopes


%% Part 1. Usage of the algorithms in the toolbox

% How to use the pi estimation algorithm:

% Initialize parameters structure
params = struct;
params.K = 5;   % number of terms in the series to compute
% Call the estimator, with the algorithm name and parameters set above
[piest, info] = estimatepi('newton', params);
% Look at results
fprintf('Estimation error: %f, execution time: %f\n', abs(piest - pi), info.exectime);

% Note we can also use a string format for the parameters structure
[piest, info] = estimatepi('madhava', 'K=5');
fprintf('Estimation error: %f, execution time: %f\n', abs(piest - pi), info.exectime);


%% Part 2. Using the experiment execution script

cfg = struct;
% evaluate two algorithms
cfg.algorithms = {'madhava', 'newton'};
cfg.datafile = 'data/demodata';
run_pi(cfg);


%% Part 3. Using the experiment evaluation script

cfg = struct;
cfg.datafile = 'data/demodata';
eval_pi(cfg);


%% Cleanup
delete('data/demodata.mat');